Bug 217841 - smart is asking me to downgrade a package
smart is asking me to downgrade a package
Product: Fedora
Classification: Fedora
Component: smart (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-30 05:39 EST by Andrea Santilli
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 02:58:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrea Santilli 2006-11-30 05:39:37 EST
Description of problem:
I don't know why, when i do upgrade, smart asks me to downgrade the package
mikmod from version 3.1.6-39.fc6 to 3.1.6-38.1 and to uninstall tracker
First of all I don't understand what tracker has to do with mikmod; there are no
dependencies between the two packages.
Then I have to say that such a downgrade is being asked only by smart. I also
tried with pirut, yum, yumex, apt-get and synaptic but none of these asks so.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. verify that no other package manager requires such a downgrade.
2. run smart and update the channels
3. ask for upgrade and it shows that it's going to do a downgrade
Comment 1 Axel Thimm 2006-11-30 05:56:40 EST
Can you add the full output of smart upgrade --update?

Downgrades are not a bug in smart, but rather a feature. If the repo was in a
state that certain other upgrades could only happen if it downgrades a package,
then smart calculates what is best for the system overall and can make a
decision to downgrade. So depedneing on the context it may have been the right
thing to do. But it may as well be a bug, so we need all available details.

Also try adding --explain to the command above to see smart's reasoning and post
that, too, please.

If smart's decision was based on a partially synced repo, e.g. only some
packages had been pushed to "updates", you may now find that the repo has been
fixed and smart doesn't offer that downgrade anymore.

Note You need to log in before you can comment on or make changes to this bug.